Name:           java-base64
Version:        2.3.8
Release:        16
Summary:        A Java class providing Base64 encoding and decoding
License:        Public Domain
URL:            http://iharder.net/base64/
Source0:        https://github.com/omalley/base64/archive/release-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  junit maven-local
Provides:       base64 = %{version}-%{release}

%description
This is a Public Domain Java class providing very fast Base64 encoding
and decoding in the form of convenience methods and input/output
streams.

%package help
Summary:        Javadoc for %{name}

Provides:       %{name}-javadoc = %{version}-%{release}
Obsoletes:      %{name}-javadoc < %{version}-%{release}

%description help
The java-base64-help package contains related documents.

%prep
%autosetup -n base64-release-%{version} -p1

sed -i "s|<version>2.3.9-SNAPSHOT</version>|<version>%{version}</version>|" pom.xml

%pom_remove_plugin :maven-release-plugin
%pom_remove_plugin :maven-scm-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin

%mvn_file :base64 java-base64
%mvn_file :base64 base64

%build

%mvn_build

%install
%mvn_install

(
 cd %{buildroot}%{_javadocdir}
 ln -sf %{name} base64
)

%files -f .mfiles

%files help -f .mfiles-javadoc
%{_javadocdir}/base64

%changelog
* Tue Jan 21 2020 daiqianwen <daiqianwen@huawei.com> - 2.3.8-16
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: modify spec

* Sat Dec 14 2019 Jiangping Hu <hujiangping@huawei.com> - 2.3.8-15
- Package init
